DtHelpSetCatalogName(library call)

NAME
DtHelpSetCatalogName — assign the name of the message catalog to use for help services

SYNOPSIS

#include &<Dt/Help.h>
void DtHelpSetCatalogName(
char *catFile);

DESCRIPTION

The DtHelpSetCatalogName function provides an interface for applications to set the name of the message catalog file that the help services library uses at runtime. This message catalog contains all strings, messages and button labels used in the help widgets that can be localized.

The catFile argument specifies the name of the message catalog file that the help services library accesses at runtime. See catopen3C for more information on the message catalog naming and location semantics for various environments.

RETURN VALUE

The DtHelpSetCatalogName function returns no value.

APPLICATION USAGE

The DtHelpSetCatalogName function is only required if applications deliver localized online help information into a non-localized XCDE desktop environment. In this case, applications must use this function and give the help message catalog file a unique name in order to avoid collision with other clients using and localizing their online-help user interface. In order for this call to properly affect the help services library, this call must be made prior to creation of any help widgets.

SEE ALSO

Dt/Help.h - DtHelp(5), DtCreateHelpQuickDialog(3), DtCreateHelpDialog(3); catopen3C.